Need help to debug SVN on getfirebug.com

RESOLVED FIXED

Status

mozilla.org Graveyard
Server Operations
RESOLVED FIXED
8 years ago
3 years ago

People

(Reporter: John J. Barton, Assigned: aravind)

Tracking

Details

(Reporter)

Description

8 years ago
We are trying to get set up to allow Firefox team and Firebug extension developers to run our Firebug test cases quickly and easily. For that we need the test file on getfirebug.com/tests.  This is currently implemented as an svn external link to 

http://fbug.googlecode.com/svn/tests

This kinda works, except when it fails. For example, compare
http://getfirebug.com/tests/content/console/
to
http://code.google.com/p/fbug/source/browse/#svn/tests/content/console
Notice that the getfirebug.com directory misses /882/

According to my experience with SVN, the getfirebug.com svn update should pull from the link. But it fails and we need help from the server admins to understand how to fix it.
(Reporter)

Comment 1

8 years ago
Honza, Rob, this is the problem I mumbled about in the conf call: sometimes getfirebug.com does not sync the tests.
(Assignee)

Comment 2

8 years ago
Can you please ping me on irc (aravind), so we can figure this out.
Assignee: server-ops → aravind
(Assignee)

Comment 3

8 years ago
Okay, here is the problem.  When I update this from a script it gives me a message that says..

Fetching external item into 'tests'
svn: warning: Error converting entry in directory 'tests/issues/issue1205' to UTF-8

At revision 49193.

When I do this from the shell however, it goes through fine. Googling for the error didn't answer me right away.  I am guessing this is has something to do with the shell environment when I do it interactively vs. when I do it in cron.  Will post here once I figure out what that is.
probably worth mentioning as an aside, that we should be setting our editors to save files in UTF-8 rather than some other formats. I've seen a few files on getfirebug.com saved in ISO8859-1 and they were causing text conversion issues.

thanks for tracking this aravind.
(Reporter)

Comment 5

8 years ago
(In reply to comment #4)
> probably worth mentioning as an aside, that we should be setting our editors to
> save files in UTF-8 rather than some other formats.

Unless of course the test is about files in non-UTF-8 formats.
(Assignee)

Comment 6

8 years ago
So here is someone with a similar problem.

http://ryanerwin.com/2007/04/09/valid-utf-8-data-hex-followed-by-invalid-utf-8-sequence/comment-page-1/

And sure enough, the directory its complaining about tests/issues/issue1205 has some file with UTF (some asian language) characters in the file name.

Do we need this file, can you delete it like that page suggests we do?
(Assignee)

Comment 7

8 years ago
Actually, scratch that.. I may have a fix.  Let me try it and I will report back.
(Assignee)

Comment 8

8 years ago
Done, setting the LANG specifically to LANG=en_US.UTF-8 did it.  Please re-open if stuff still seems wonky.
Status: NEW → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → FIXED
(Reporter)

Comment 9

8 years ago
The file 
https://getfirebug.com/tests/content/commandline/dom.html
and its companion .js file and the directory they are in is missing. It seems likely that SVN is not updating again. This is  new file added on 3/5/2010.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
I am also seeing the problem.

Please, it would be great to have this fixed asap, as we want to encourage Firebug users/contributors to run automated tests on theirs machines, and it's embarrassing if it doesn't work.

Thanks!
Honza
(Assignee)

Comment 11

8 years ago
The files are all there.

[root@mradm02 commandLine]# ls -l
total 8
-rw-r--r-- 1 root root 1625 Mar 10 05:42 dom.html
-rw-r--r-- 1 root root 3548 Mar  5 08:42 dom.js
[root@mradm02 commandLine]# pwd
/data/generic/www/getfirebug.com/tests/content/commandLine
[root@mradm02 commandLine]# svn info
Path: .
URL: http://fbug.googlecode.com/svn/tests/content/commandLine
Repository Root: http://fbug.googlecode.com/svn
Repository UUID: e969d3be-0e28-0410-a27f-dd5c76401a8b
Revision: 6311
Node Kind: directory
Schedule: normal
Last Changed Author: honza@allpeers.com
Last Changed Rev: 6311
Last Changed Date: 2010-03-10 05:31:16 -0800 (Wed, 10 Mar 2010)

[root@mradm02 commandLine]# md5sum *
57a6387cb49a75ac545c19ce72f56017  dom.html
e8f4b660e6836176056969b48a45c7ec  dom.js
[root@mradm02 commandLine]#
Ah, it was my fault (capitalization).
My apologies!

This bug can be closed.

Honza
(Assignee)

Comment 13

8 years ago
Okay.
Status: REOPENED → RESOLVED
Last Resolved: 8 years ago8 years ago
Resolution: --- → FIXED
Product: mozilla.org → mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.